local self_ID = "IL-78M"
declare_plugin(self_ID,
{
installed 	 = true, -- if false that will be place holder , or advertising
dirName	  	 = current_mod_path,

displayName  = _("IL-78M"),
fileMenuName = _("IL-78M"),
version		 = "2.5.6",
state		 = "installed",
info		 = _("The Ilyushin IL-78 (Russian: Илью́шин Ил-78; NATO reporting name Midas) is a Soviet four-engined aerial refueling tanker based on the Il-76 strategic airlifter. The Il-78 tanker was developed and designed in the Ilyushin Aviation Complex in Russia. The main reason behind its development was an expansion of the transferable fuel load of an earlier version of tanker, the Il-76."),





InputProfiles =
{
    ["IL-78M"] = current_mod_path .. '/Input/IL-78M',
},




Skins	=
	{
		{
			name	= _("IL-78M"),
			dir		= "Theme"
		},
	},
	
Missions =
	{
		{
			name		    = _("IL-78M"),
			dir			    = "Missions",
		},
	},		
Options = 
	{
		{
			name		= _("IL-78M"),
			nameId		= "IL-78M",
			dir			= "Options",
		},
	},
LogBook =
	{
		{
			name		= _("IL-78M"),
			type		= "IL-78M",
		},
	},		
})

mount_vfs_liveries_path(current_mod_path ..  "/Liveries")
mount_vfs_model_path   (current_mod_path ..  "/Cockpit/Shape")
mount_vfs_texture_path (current_mod_path ..  "/Theme/ME")--for simulator loading window

mount_vfs_sound_path   (current_mod_path ..  "/Sounds")

local support_cockpit = current_mod_path..'/Cockpit/Scripts/'

----------------------------------------------------------------------------------------
MAC_flyable('IL-78M', support_cockpit, nil, current_mod_path..'/comm.lua')
----------------------------------------------------------------------------------------

dofile(current_mod_path.."/Views.lua") --View Settings.

make_view_settings('IL-78M', ViewSettings, SnapViews) 

plugin_done()
